import hashlib


def generate_pseudonym(service_provider_salt: str, entryUUID: str, school_authority: str) -> str:
    h = hashlib.blake2b()
    h.update(service_provider_salt.encode())
    h.update(school_authority.encode())
    h.update(entryUUID.encode())
    return h.hexdigest()
